import { innerFrom as f } from "./index-innerFrom.js";
import { createOperatorSubscriber as b } from "./index-OperatorSubscriber.js";
import { operate as s } from "./index-lift.js";
function a(u) {
  return s(function(i, n) {
    var r = null, t = !1, e;
    r = i.subscribe(b(n, void 0, void 0, function(o) {
      e = f(u(o, a(u)(i))), r ? (r.unsubscribe(), r = null, e.subscribe(n)) : t = !0;
    })), t && (r.unsubscribe(), r = null, e.subscribe(n));
  });
}
export {
  a as catchError
};
